Actualizări de securitate disponibile pentru Adobe Flash Player

Data lansării: 14 februarie 2017

Ultima actualizare: 13 aprilie 2017

Identificator vulnerabilitate: APSB17-04

Prioritate: Consultați tabelul de mai jos

Număr CVE: CVE-2017-2982,CVE-2017-2984, CVE-2017-2985, CVE-2017-2986, CVE-2017-2987, CVE-2017-2988,CVE-2017-2990, CVE-2017-2991, CVE-2017-2992, CVE-2017-2993, CVE-2017-2995, CVE-2017-2996

Platformă: Windows, Macintosh, Linux și Chrome OS

Sumar

Adobe a lansat actualizări de securitate pentru Adobe Flash Player pentru Windows, Macintosh, Linux și Chrome OS. Aceste actualizări corectează vulnerabilități critice, care pot permite unui atacator să preia controlul asupra sistemului afectat.

Versiuni afectate

Produs Versiuni afectate Platformă
Componentă runtime desktop Adobe Flash Player 24.0.0.194 și versiunile anterioare Windows, Macintosh și Linux
Adobe Flash Player pentru Google Chrome 24.0.0.194 și versiunile anterioare Windows, Macintosh, Linux și Chrome OS
Adobe Flash Player pentru Microsoft Edge și Internet Explorer 11 24.0.0.194 și versiunile anterioare Windows 10 și 8.1
  • Pentru a verifica versiunea de Adobe Flash Player instalată pe sistem, accesați pagina Despre Flash Player sau faceți clic dreapta pe conținutul care rulează în Flash Player și selectați „Despre Adobe (sau Macromedia) Flash Player” din meniu. Dacă utilizați mai multe browsere, faceți această verificare pe fiecare browser instalat pe sistem.  

Soluție

Adobe acordă acestor actualizări următoarele evaluări ale priorității și recomandă utilizatorilor să își actualizeze produsele instalate la cea mai nouă versiune:

Produs Versiuni actualizate Platformă Evaluare a priorității Disponibilitate
Componentă runtime desktop Adobe Flash Player 24.0.0.221 Windows și Macintosh 1 Centrul de descărcare Flash Player
Distribuție Flash Player
Adobe Flash Player pentru Google Chrome 24.0.0.221  Windows, Macintosh, Linux și Chrome OS 1 Versiuni Google Chrome
Adobe Flash Player pentru Microsoft Edge și Internet Explorer 11 24.0.0.221 Windows 10 şi 8.1 1 Recomandare de securitate Microsoft
Componentă runtime desktop Adobe Flash Player 24.0.0.221 Linux 3 Centru de descărcare Flash Player
  • Adobe le recomandă utilizatorilor componentei runtime desktop Adobe Flash Player pentru Windows, Macintosh și Linux să actualizeze la Adobe Flash Player 24.0.0.221 prin intermediul mecanismului de actualizare din cadrul produsului [1] sau vizitând Centrul de descărcare Adobe Flash Player.
  • Adobe Flash Player instalat cu Google Chrome va fi actualizat automat la cea mai recentă versiune Google Chrome, care va include Adobe Flash Player 24.0.0.221 pentru Windows, Macintosh, Linux și Chrome OS.
  • Adobe Flash Player instalat cu Microsoft Edge și Internet Explorer 11 pentru Windows 10 și 8.1 va fi actualizat automat la cea mai recentă versiune, care va include Adobe Flash Player 24.0.0.221.
  • Vizitați Ajutorul Flash Player pentru asistență la instalarea Flash Player.

[1] Utilizatorii Flash Player 11.2.x și ai versiunilor ulterioare pentru Windows, precum și utilizatorii Flash Player 11.3.x și ai versiunilor ulterioare pentru Macintosh care au selectat opțiunea „Permit ca Adobe să instaleze actualizări” vor primi actualizarea automat. Utilizatorii care nu au opțiunea „Permit ca Adobe să instaleze actualizări” activată pot instala actualizarea prin intermediul mecanismului de actualizare din cadrul produsului, când li se solicită acest lucru.

Detalii privind vulnerabilitatea

  • Aceste actualizări rezolvă o vulnerabilitate de confuzie de tipuri, care poate duce la executare de cod (CVE-2017-2995).
  • Aceste actualizări rezolvă o vulnerabilitate de depășire a numerelor întregi, care poate duce la executare de cod (CVE-2017-2987).
  • Aceste actualizări remediază vulnerabilități de utilizare după dealocare, care pot duce la executare de cod (CVE-2017-2982, CVE-2017-2985, CVE-2017-2993).
  • Aceste actualizări rezolvă vulnerabilități de depășire a memoriei tampon de heap, care pot duce la executare de cod (CVE-2017-2984, CVE-2017-2986, CVE-2017-2992).
  • Aceste actualizări rezolvă vulnerabilități de corupere a memoriei, care pot duce la executare de cod (CVE-2017-2988, CVE-2017-2990, CVE-2017-2991, CVE-2017-2996).

Mențiuni

Adobe dorește să mulțumească următoarelor persoane și organizații pentru raportarea problemelor relevante și pentru colaborarea cu Adobe în scopul protejării securității clienților noștri:

  • Mateusz Jurczyk și Natalie Silvanovich de la Google Project Zero (CVE-2017-2985, CVE-2017-2986, CVE-2017-2988, CVE-2017-2992).
  • Nicolas Joly de la Microsoft Vulnerability Research (CVE-2017-2993).
  • Tao Yan de la Palo Alto Networks (CVE-2017-2982, CVE-2017-2996).
  • Kai Lu de la Laboratoarele FortiGuard ale Fortinet, lucrând pentru programul Chromium Vulnerability Rewards (CVE-2017-2984, CVE-2017-2990, CVE-2017-2991).
  • bo13oy de la CloverSec Labs, lucrând pentru inițiativa Zero Day de la Trend Micro (, CVE-2017-2995).

Adobe dorește să mulțumească următoarelor persoane și organizații pentru raportarea acestor probleme și pentru colaborarea cu Adobe în scopul protejării clienților noștri:

  • Dhanesh Kizhakkinan de la FireEye, precum și Peter Pi de la TrendMicro (CVE-2015-5122)
  • Peter Pi de la TrendMicro, precum și slipstream/RoL (@TheWack0lian) (CVE-2015-5123)

Revizuiri

13 aprilie 2017: S-a eliminat referința la CVE-2017-2994 care fusese adăugată incorect în buletin. Se mută referința la CVE-2017-2994 din această ediție în APSB17-07